#ifndef IGNORE_HPP_INCLUDED
#define IGNORE_HPP_INCLUDED

#include "Nameable.hpp"
#include "../JavaClass/Class.hpp"

namespace Internal
{
    class Ignore : public Nameable
    {
        public:
            Ignore(const void* Obj);

            Ignore() = default;
            Ignore(Ignore&& Obj) = default;
            Ignore(const Ignore& Obj) = default;
            Ignore& operator=(Ignore&& Obj) = default;
            Ignore& operator=(const Ignore& Obj) = default;

            static Class GetClass();

    };
}

#endif // IGNORE_HPP_INCLUDED
